com.opensymphony.xwork2.conversion.annotations

## Enum ConversionRule

- java.lang.Object
- - java.lang.Enum<ConversionRule>
  - - com.opensymphony.xwork2.conversion.annotations.ConversionRule

- All Implemented Interfaces:
    Serializable, Comparable<ConversionRule>

      public enum ConversionRule
      extends Enum<ConversionRule>

  `ConversionRule`
  Version:
    $Id$
  Author:
    Rainer Hermanns

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COLLECTION`
    `CREATE_IF_NULL`
    `ELEMENT`
    `KEY`
    `KEY_PROPERTY`
    `MAP`
    `PROPERTY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static ConversionRule` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConversionRule[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PROPERTY

          public static final ConversionRule PROPERTY

    - #### COLLECTION

          public static final ConversionRule COLLECTION

    - #### MAP

          public static final ConversionRule MAP

    - #### KEY

          public static final ConversionRule KEY

    - #### KEY_PROPERTY

          public static final ConversionRule KEY_PROPERTY

    - #### ELEMENT

          public static final ConversionRule ELEMENT

    - #### CREATE_IF_NULL

          public static final ConversionRule CREATE_IF_NULL

  - ### Method Detail

    - #### values

          public static ConversionRule[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConversionRule c : ConversionRule.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConversionRule valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ConversionRule>`

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.